import { LinearProgress, Stack, useTheme} from "@mui/material";
import LightLogo from "@/common/assets/images/logo/light.webp";
import DarkLogo from "@/common/assets/images/logo/dark.webp";

export default () => {
    const theme = useTheme();
    const logo = theme.palette.mode === "dark" ? DarkLogo : LightLogo;

    return (
        <Stack sx={{height: "100vh"}} justifyContent="center" alignItems="center" gap={5}>
            <img src={logo} alt="Logo" style={{width: "25rem"}}/>
            <LinearProgress variant="indeterminate" sx={{width: "20rem"}}/>
        </Stack>
    )
}